#version 130

in vec3 vPosition;
out vec3 fWorldPos;
out vec2 fTexCoord;

void main()
{		
	fWorldPos = vPosition;	
	fTexCoord = gl_MultiTexCoord0.st;
	gl_Position = gl_ModelViewProjectionMatrix * vec4(vPosition, 1);
}